--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "returns true if the message was addressed to the bot. This includes any private message to the bot, or any public message which looks like it's addressed to the bot, e.g. &quot;bot: foo&quot;, &quot;bot, foo&quot;, a kick message when bot was kicked etc."
full_name: Irc::BasicUserMessage#address?
is_singleton: false
name: address?
params: ()
visibility: public
